#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  Atkmm-2.36.3

- Next

  Cairo-1.18.2

- Up
- Home

# at-spi2-core-2.54.1

## Introduction to At-Spi2 Core

The At-Spi2 Core package contains a comprehensive accessibility framework for the Assistive Technologies available on the GNOME platform. This includes a set of interfaces which are implemented by other toolkits and applications.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/at-spi2-core/2.54/at-spi2-core-2.54.1.tar.xz

- Download MD5 sum: a05ad6cf4a49b19964cc5eec363d2310

- Download size: 564 KB

- Estimated disk space required: 24 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### At-Spi2 Core Dependencies

#### Required

dbus-1.16.0, GLib-2.82.5 (GObject Introspection required for GNOME), gsettings-desktop-schemas-47.1 (Runtime), and Xorg Libraries

#### Optional

Gi-DocGen-2025.3 and sphinx-8.2.1

## Installation of At-Spi2 Core

Install At-Spi2 Core by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D systemd_user_dir=/tmp &&
    ninja

Now, as the `root` user:

    ninja install &&
    rm /tmp/at-spi-dbus-bus.service

The test suite requires the glib schemas of the package to be installed already. The tests also need to run in a graphical environment. Now that the package is installed, test the results by issuing: dbus-run-session ninja test.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D systemd_user_dir=/tmp`: This flag puts the systemd unit file in /tmp where it will be removed. SysV is unable to use this file.

`-D docs=true`: Use this switch if you want to build the documentation. Note that you must have both Gi-DocGen-2025.3 and sphinx-8.2.1 installed on your system.

## Contents

Installed Programs: None
Installed Library: libatk-1.0.so, libatk-bridge-2.0.so, libatspi.so, and /usr/lib/gtk-2.0/modules/libatk-bridge.so
Installed Directories: /usr/include/atk-1.0, /usr/include/at-spi-2.0, /usr/include/at-spi2-atk, /usr/lib/gnome-settings-daemon-3.0, /usr/share/defaults/at-spi2, and /usr/share/gtk-doc/html/libatspi (optional)

### Short Descriptions

`libatk-1.0.so` | contains functions that are used by assistive technologies to interact with desktop applications
`libatk-bridge.so` | contains the Accessibility Toolkit GTK+-2 bridge
`libatk-bridge-2.0.so` | contains the Accessibility Toolkit GTK+ module
`libatspi.so` | contains the At-Spi2 API functions

- Prev

  Atkmm-2.36.3

- Next

  Cairo-1.18.2

- Up
- Home